> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Threat Blocker traffic v2

> Ingest traffic log entries into the Elasticsearch index for a Threat Blocker device.



## OpenAPI

````yaml post /api/v1/atb/{id}/store-window-v2/
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/atb/{id}/store-window-v2/:
    post:
      tags:
        - atb
      summary: Upload Threat Blocker traffic v2
      description: >-
        Ingest traffic log entries into the Elasticsearch index for a Threat
        Blocker device.
      operationId: atb_store_window_v2_create
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ATBTrafficLogsV2'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ATBTrafficLogsV2'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ATBTrafficLogsV2'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    examples:
                      - success
                  inserted:
                    type: integer
                    description: Number of log entries indexed.
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  schemas:
    ATBTrafficLogsV2:
      type: object
      properties:
        date:
          type: number
          format: double
          description: Timestamp of the log batch.
        start_ts:
          type: number
          format: double
          description: Start timestamp of the window.
        end_ts:
          type: number
          format: double
          description: End timestamp of the window.
        total_requests:
          type: integer
          description: Total number of requests in this window.
        malicious_requests:
          type: integer
          description: Number of malicious requests detected.
        log_messages:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: >-
            Array of traffic log entries with src_ip, dst_ip, action, timestamp,
            traffic_direction, src_port, dst_port, fw_rule, malicious, score
            fields.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````